<?php
    $atendimentos = new Atendimentos('search');
    if(isset($_GET['Atendimentos']) && !empty($_GET['Atendimentos'])) {
        $atendimentos->setAttributes($_GET['Atendimentos']);
    }
    $atendimentos->ATD_IDCLIENTE = $model->CLI_IDCLIENTE;
    $conditions_setor_atendimento = array();
    $motivosAtendimentos = array();
    if(!empty($atendimentos->SEARCH_IDSETOR)) {
        if ($atendimentos->SEARCH_IDSETOR == 2) {
            $motivos = Motivos::model()->findAll('MOT_TIPO IN (2,3,5,6) ORDER BY MOT_DESCRICAO');
            $motivosAtendimentos = CHtml::listData($motivos, 'MOT_IDMOTIVO', 'MOT_DESCRICAO');
            $motivos = CHtml::listData($motivos, 'MOT_IDMOTIVO', 'MOT_IDMOTIVO');
            $motivos = 'ATD_IDMOTIVO in (' . implode(', ', $motivos) . ')';
            $conditions_setor_atendimento[] = '('.$motivos.' or (ATD_IDMOTIVO = -1 AND ATD_TIPO = "D"))'; // Comercial
        } else if ($atendimentos->SEARCH_IDSETOR == 1) {
            $motivos = Motivos::model()->findAll('MOT_TIPO = 1 ORDER BY MOT_DESCRICAO');
            $motivosAtendimentos = CHtml::listData($motivos, 'MOT_IDMOTIVO', 'MOT_DESCRICAO');
            $motivos = CHtml::listData($motivos, 'MOT_IDMOTIVO', 'MOT_IDMOTIVO');
            $motivos = 'ATD_IDMOTIVO in (' . implode(', ', $motivos) . ')';

           $conditions_setor_atendimento[] = $motivos;  // Suporte
       }
    } else {
        $motivos = Motivos::model()->findAll('MOT_TIPO IN (1,2,3,5,6) ORDER BY MOT_DESCRICAO');
        $motivosAtendimentos = CHtml::listData($motivos, 'MOT_IDMOTIVO', 'MOT_DESCRICAO');
    }

    $create = $view = $title_atividade = false;
    if($setor == 1) {
        $create = 'savcreate';
        $view = '_sav_view';
        $title_atividade = 'Atendimentos/Visitas';

    } else if($setor == 2) {
        $create = 'create';
        $view = '_view';
        $title_atividade = 'Atividades';

    } else {
        if (isset($implantacao)) {
            $create = 'implantacao_create';
        } else {
            $create = 'posvendas_create';
        }
        $view = '_posvendas_view';
        $title_atividade = 'Atividades';
    }

    $title = "Histórico de {$title_atividade} &raquo; {$nomeCliente}";
?>
<div id="div-atividades">
    <h1><?= $title; ?></h1>
    <div class="">
        <div class="portlet" id="yw2">
            <div class="portlet-content">
                <ul id="yw3">
                    <li><a href="<?= Yii::app()->createUrl("atendimentos/{$create}", array('CLI_IDCLIENTE'=>$model->CLI_IDCLIENTE)); ?>" id="adicionar-novo"><?= FaHtml::iconNovo(); ?></a></li>
                    <li><a class="search-button" href="#"><?= FaHtml::iconSetaClose(); ?></a></li>
                    <li><a onclick="reloadFrame();" class="refresh-button" href="javascript:void(0);"><?= FaHtml::iconRefresh(); ?></a></li>
                </ul>
            </div>
        </div>
        <div class="search-form" style="display:none; margin-top: 0px;">
            <div class="wide form">
                <?php
                $form = $this->beginWidget('GxActiveForm', array(
                    'action' => Yii::app()->createUrl($this->route),
                    'method' => 'get'
                    )
                );
                $this->widget('application.extensions.EChosen.EChosen', array('target' => '.echosen', 'useJQuery' => true));
                ?>
                <input type="hidden" name="id" value="<?= $model->CLI_IDCLIENTE; ?>" />
                <input type="hidden" name="page" value="atividades" />
                <div class="row">
                    <?= $form->label($atendimentos, 'ATD_IDATENDIMENTO',array('label' => 'Código')); ?>
                    <?= $form->textField($atendimentos, 'ATD_IDATENDIMENTO'); ?>
                </div>
                <div class="row">
                    <?= $form->label($atendimentos, 'ATD_OBS',array('label' => 'Busca textual')); ?>
                    <?= $form->textField($atendimentos, 'ATD_OBS'); ?>
                </div>
                <div class="row">
                    <?= $form->label($atendimentos, 'ATD_DTCADASTRO_INICIAL'); ?>
                    <?php $form->widget('ext.Utils.widgets.CrmDatePicker', array('model' => $atendimentos, 'attribute' => 'ATD_DTCADASTRO_INICIAL')); ?> à
                    <?php $form->widget('ext.Utils.widgets.CrmDatePicker', array('model' => $atendimentos, 'attribute' => 'ATD_DTCADASTRO_FINAL')); ?>
                </div>
                <div class="row">
                    <?= $form->label($atendimentos, 'ATD_HORAINICIO'); ?>
                    <?= $form->textField($atendimentos, 'ATD_HORAINICIO', array('class' => 'format_hora hora_inicio', 'maxlength' => 5)); ?> à
                    <?= $form->textField($atendimentos, 'ATD_HORAFINAL', array('class' => 'format_hora hora_final', 'maxlength' => 5)); ?>
                </div>
                <div class="row">
                    <?= $form->label($atendimentos, 'SEARCH_IDSETOR', array('label' => 'Setor')); ?>
                    <?= $form->dropDownList($atendimentos, 'SEARCH_IDSETOR',array('2' => 'Comercial', '1' => 'Suporte'),array('prompt' => 'Todos')); ?>
                </div>
                <div class="row">
                    <?= $form->label($atendimentos, 'ATD_SITUACAO'); ?>
                    <?= $form->dropDownList($atendimentos, 'ATD_SITUACAO',Util::getSituacoesAtendimentoList(),array('prompt' => 'Todas')); ?>
                </div>
                <div class="row">
                    <?php echo $form->labelEx($atendimentos, 'ATD_TIPO'); ?>
                    <?php $tipos = Util::$tipo_de_contato_suprimido_1; ?>
                    <?php
                        $this->widget('application.extensions.multiselect.JMultiSelect', array(
                            'model' => $atendimentos,
                            'attribute' => 'ATD_TIPO',
                            'data' => $tipos,
                            'options' => array('noneSelectedText' => 'Todos')
                        ));
                    ?>
                </div><!-- row -->
                <div class="row">
                    <?= $form->labelEx($atendimentos, 'ATD_IDMOTIVO'); ?>
                    <?= $form->dropDownList($atendimentos, 'ATD_IDMOTIVO', $motivosAtendimentos, array('multiple' => 'multiple', 'class' => 'echosen', 'data-placeholder' => 'Todos')); ?>
                </div><!-- row -->
                <div class="row">
                    <?= $form->labelEx($atendimentos, 'ATD_AUTOMATICO', array('label' => 'Mostrar lançamentos automáticos', 'class' => 'label_checkbox')); ?>
                    <?= $form->checkBox($atendimentos, 'ATD_AUTOMATICO', array('class' => 'input_checkbox')); ?>
                </div><!-- row -->
                <div class="row">
                    <?= $form->labelEx($atendimentos, 'ATD_DOCUMENTACAO', array('label' => 'Mostrar movimentação de documentos', 'class' => 'label_checkbox')); ?>
                    <?= $form->checkBox($atendimentos, 'ATD_DOCUMENTACAO', array('class' => 'input_checkbox')); ?>
                </div><!-- row -->
                <div class="row buttons">
                    <?= FaHtml::searchButton("Pesquisar", array('name' => 'yt1')); ?>
                </div>
                <?php $this->endWidget(); ?>
            </div>
        </div><!-- search-form -->
        <script>
            $(document).ready(function () {
                $('#Atendimentos_SEARCH_IDSETOR').on('change', function() {
                    var setor = $('#Atendimentos_SEARCH_IDSETOR').val();
                    var motivos = $('#Atendimentos_ATD_IDMOTIVO').val();
                    jQuery.ajax({
                        type: 'GET',
                        url: createUrl('autocomplete/motivosAtendimentos'),
                        cache: false,
                        data: {setor: setor, selecione:false},
                        success: function(html){
                            jQuery("#Atendimentos_ATD_IDMOTIVO").html(html);
                            selectField('Atendimentos_ATD_IDMOTIVO', motivos);
                            $(".echosen").trigger("chosen:updated");
                        }
                    });
                });
            });
        </script>
    </div>
    <br /><br />
    <?php
    $criteria = new CDbCriteria();
    $criteria->compare('ATD_IDCLIENTE', $model->CLI_IDCLIENTE);
    if(!empty($atendimentos->ATD_IDATENDIMENTO))
        $criteria->addCondition('ATD_IDATENDIMENTO = "' . Util::secureForSelect($atendimentos->ATD_IDATENDIMENTO).'"');
    if(!empty($atendimentos->ATD_DTCADASTRO_INICIAL))
        $criteria->addCondition('ATD_DTCADASTRO >= "' . Util::formatDataMysql($atendimentos->ATD_DTCADASTRO_INICIAL).'"');
    if(!empty($atendimentos->ATD_DTCADASTRO_FINAL))
        $criteria->addCondition('ATD_DTCADASTRO <= "' . Util::formatDataMysql($atendimentos->ATD_DTCADASTRO_FINAL).'"');
    if(!empty($atendimentos->ATD_OBS))
        $criteria->addCondition('ATD_OBS LIKE "%'.Util::secureForSelect($atendimentos->ATD_OBS).'%" or ATD_OBS LIKE "%'.Util::secureForSelect($atendimentos->ATD_OBS, true).'%"');
    if(!empty($atendimentos->ATD_HORAINICIO))
        $criteria->addCondition('ATD_HORAINICIO >= "' . $atendimentos->ATD_HORAINICIO.'"');
    if(!empty($atendimentos->ATD_HORAFINAL))
        $criteria->addCondition('ATD_HORAINICIO <= "' . $atendimentos->ATD_HORAFINAL.'"');
    $tipos = $atendimentos->ATD_TIPO;
    if(empty($tipos))
        $tipos = array('W', 'E', 'F', 'R', 'M', 'O', 'S', 'V', 'T');
    if($atendimentos->ATD_DOCUMENTACAO == 1)
        $tipos[] =  'D';
    $condition = array();
    foreach($tipos as $tipo) {
        $condition[] = "ATD_TIPO like '%".$tipo."%'";
    }
    $criteria->addCondition(implode(' OR ', $condition));
    if(!empty($conditions_setor_atendimento)) {
        $criteria->addCondition($conditions_setor_atendimento);
    }
    if(!empty($atendimentos->ATD_SITUACAO))
        $criteria->compare('ATD_SITUACAO', $atendimentos->ATD_SITUACAO);
    if(!empty($atendimentos->ATD_IDMOTIVO))
        $criteria->addInCondition('ATD_IDMOTIVO', $atendimentos->ATD_IDMOTIVO);
    if(!isset($atendimentos->ATD_AUTOMATICO) || !$atendimentos->ATD_AUTOMATICO == 1) {
        $criteria->addCondition('(ATD_AUTOMATICO is null || ATD_AUTOMATICO <> 1)');
    }

    $dataProvider = new CActiveDataProvider('Atendimentos', array(
        'criteria' => $criteria,
        'sort' => array(
            'defaultOrder' => 'ATD_DTCADASTRO DESC, ATD_HORAINICIO DESC, ATD_IDATENDIMENTO DESC',
            ),
        )
    );
    $this->widget('zii.widgets.CListView', array(
        'dataProvider' => $dataProvider,
        'itemView' => "../atendimentos/{$view}",
        'template'=>"{summary}{pager}{items}\n{summary}{pager}",
        'id'=>'subscriptionDiv',
        ));
        ?>

    </div>